{
  "name": "contract.cm",
  "version": "0.0.1",
  "type": "module",
  "scripts": {
    "build": "yarn build:files && yarn pack:all",
    "build:files": "yarn clean && yarn g:tsc -p tsconfig.build.json && NODE_ENV=production ./scripts/build.sh",
    "start": "node src/offchain/index.js",
    "test": "yarn g:vitest run --pool=forks",
    "test:prepare": "mkdir -p tests_data && cp ../../.cweb_tool/simulation/unknown.json tests_data/state.json && cp ../../.dapp-ecosystem-lock-test.yaml tests_data/index.yaml",
    "test:watch": "yarn g:vitest",
    "test:coverage": "yarn g:vitest run --coverage",
    "pack:relink": "cd $INIT_CWD && node scripts/package-relink.js",
    "pack:all": "yarn pack:cweb && yarn pack:relink && yarn pack:yarn && yarn pack:relink",
    "pack:cweb": "yarn g:cweb-tool pack . dist/out ../../.cweb-config/cweb-pack.yaml -c ../../.cweb-config/config.yaml --profile $REGISTRATION_PROFILE",
    "pack:yarn": "cd dist/out && touch yarn.lock && yarn pack -o my-contract-module.tgz",
    "clean": "rm -rf cweb_dist dist .calls.yaml",
    "typecheck": "yarn g:tsc --noEmit",
    "dev": "yarn g:tsc -p tsconfig.dev.json --watch",
    "lint": "yarn g:lint ."
  },
  "dependencies": {
    "@coinweb/contract-kit": "0.2.6",
    "@coinweb/self-register": "0.1.3",
    "@noble/hashes": "1.4.0",
    "bech32": "2.0.0",
    "bs58": "6.0.0"
  },
  "devDependencies": {
    "esbuild": "^0.20.2"
  },
  "main": "cweb_dist/offchain/index.js",
  "engines": {
    "cweb_interpreter": "a344c6003922f9e44385f6e8234a7d2567d9a676b14330ad3b42cbd1948a92bf"
  }
}
